## ros-rolling-gazebo-ros 3.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(gazebo_ros)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # we dont use add_compile_options with pedantic in message packages
  # because the Python C extensions dont comply with it
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic -Wno-inconsistent-missing-override")
endif()

if(WIN32)
  add_compile_definitions(
    # For math constants
    _USE_MATH_DEFINES
    # Minimize Windows namespace collision
    NOMINMAX
    WIN32_LEAN_AND_MEAN
  )
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(gazebo_dev REQUIRED)
find_package(gazebo_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rcl REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rmw REQUIRED)
find_package(std_srvs REQUIRED)
find_package(tinyxml_vendor REQUIRED)

link_directories(
  ${gazebo_dev_LIBRARY_DIRS}
)

ament_python_install_package(scripts)

# gazebo_ros_node
add_library(gazebo_ros_node SHARED
  src/executor.cpp
  src/node.cpp
  src/qos.cpp
)
target_include_directories(gazebo_ros_node
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
    ${gazebo_dev_INCLUDE_DIRS}
)
if(WIN32)
  target_compile_definitions(gazebo_ros_node PRIVATE "GAZEBO_ROS_NODE_BUILDING_DLL")
endif()

ament_target_dependencies(gazebo_ros_node
  "gazebo_dev"
  "rclcpp"
  "rcl"
  "rmw"
)
ament_export_libraries(gazebo_ros_node)

# gazebo_ros_utils
add_library(gazebo_ros_utils SHARED
  src/utils.cpp
)
target_include_directories(gazebo_ros_utils
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
)
if(WIN32)
  target_compile_definitions(gazebo_ros_utils PRIVATE "GAZEBO_ROS_UTILS_BUILDING_DLL")
endif()
ament_target_dependencies(gazebo_ros_utils
  "gazebo_dev"
  "rclcpp"
)
ament_export_libraries(gazebo_ros_utils)

# gazebo_ros_init
add_library(gazebo_ros_init SHARED
  src/gazebo_ros_init.cpp
)
ament_target_dependencies(gazebo_ros_init
  "builtin_interfaces"
  "gazebo_dev"
  "gazebo_msgs"
  "rclcpp"
  "std_srvs"
)
target_link_libraries(gazebo_ros_init
  gazebo_ros_node
  gazebo_ros_utils
)
ament_export_libraries(gazebo_ros_init)

# gazebo_ros_factory
add_library(gazebo_ros_factory SHARED
  src/gazebo_ros_factory.cpp
)
ament_target_dependencies(gazebo_ros_factory
  "rclcpp"
  "gazebo_dev"
  "gazebo_msgs"
)
target_link_libraries(gazebo_ros_factory
  gazebo_ros_node
  gazebo_ros_utils
)
ament_export_libraries(gazebo_ros_factory)

# gazebo_ros_properties
add_library(gazebo_ros_properties SHARED
  src/gazebo_ros_properties.cpp
)
ament_target_dependencies(gazebo_ros_properties
  "rclcpp"
  "gazebo_dev"
  "gazebo_msgs"
)
target_link_libraries(gazebo_ros_properties
  gazebo_ros_node
)
ament_export_libraries(gazebo_ros_properties)

# gazebo_ros_state
add_library(gazebo_ros_state SHARED
  src/gazebo_ros_state.cpp
)
ament_target_dependencies(gazebo_ros_state
  "rclcpp"
  "gazebo_dev"
  "gazebo_msgs"
)
target_link_libraries(gazebo_ros_state
  gazebo_ros_node
)
ament_export_libraries(gazebo_ros_state)

# gazebo_ros_force_system
add_library(gazebo_ros_force_system SHARED
  src/gazebo_ros_force_system.cpp
)
ament_target_dependencies(gazebo_ros_force_system
  "rclcpp"
  "gazebo_dev"
  "gazebo_msgs"
)
target_link_libraries(gazebo_ros_force_system
  gazebo_ros_node
)
ament_export_libraries(gazebo_ros_force_system)

ament_export_include_directories(include)
ament_export_dependencies(rclcpp)
ament_export_dependencies(gazebo_dev)

if(BUILD_TESTING)
  add_subdirectory(test)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

install(DIRECTORY include/
        DESTINATION include)

install(
  PROGRAMS
    scripts/gazebo_ros_paths.py
    DESTINATION lib/${PROJECT_NAME}/
)

install(
  TARGETS
    gazebo_ros_factory
    gazebo_ros_force_system
    gazebo_ros_init
    gazebo_ros_node
    gazebo_ros_properties
    gazebo_ros_state
    gazebo_ros_utils
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

install(
  PROGRAMS
    scripts/spawn_entity.py
    DESTINATION lib/${PROJECT_NAME}/
)

install(DIRECTORY
  launch
  DESTINATION share/${PROJECT_NAME}/
)

=== test/CMakeLists.txt ===
find_package(ament_cmake_gtest REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(gazebo_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(launch_testing_ament_cmake REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(std_srvs REQUIRED)

# Plugins
set(plugins
  args_init
  create_node_without_init
  multiple_nodes
  ros_world_plugin
  sdf_node
)

foreach(plugin ${plugins})
  add_library(${plugin} SHARED plugins/${plugin}.cpp)
  target_link_libraries(${plugin} gazebo_ros_node)
  ament_target_dependencies(${plugin}
    "rclcpp"
    "gazebo_dev"
    "std_msgs"
  )
endforeach()

# Worlds
file(COPY worlds DESTINATION .)

# Tests
set(tests
  test_conversions
  test_gazebo_ros_factory
  test_gazebo_ros_init
  test_gazebo_ros_joint_effort
  test_gazebo_ros_link_wrench
  test_gazebo_ros_properties
  test_gazebo_ros_state
  test_node
  test_plugins
  test_qos
  test_sim_time
  test_utils
)

foreach(test ${tests})
  ament_add_gtest(${test}
    ${test}.cpp
    WORKING_DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}
    # Long timeout because has to run gazebo several times
    TIMEOUT
      120
  )
  target_link_libraries(${test}
    gazebo_ros_node
    gazebo_ros_utils
    gazebo_test_fixture
  )
  ament_target_dependencies(${test}
    "builtin_interfaces"
    "gazebo_dev"
    "gazebo_msgs"
    "geometry_msgs"
    "rclcpp"
    "sensor_msgs"
    "std_msgs"
    "std_srvs"
  )
endforeach()

add_executable(mock_robot_state_publisher
  mock_robot_state_publisher/robot_state_publisher.cpp
)
ament_target_dependencies(mock_robot_state_publisher
  "rclcpp"
  "std_msgs"
)
add_launch_test(entity_spawner.test.py
  ARGS "mock_robot_state_publisher:=${CMAKE_CURRENT_BINARY_DIR}/mock_robot_state_publisher"
)

add_executable(mock_gazebo_ros_factory
  mock_gazebo_ros_factory/gazebo_ros_factory.cpp
)
ament_target_dependencies(mock_gazebo_ros_factory
  "rclcpp"
  "gazebo_msgs"
)
add_launch_test(mock_entity_spawner.test.py
  ARGS
    "mock_robot_state_publisher:=${CMAKE_CURRENT_BINARY_DIR}/mock_robot_state_publisher"
    "mock_gazebo_ros_factory:=${CMAKE_CURRENT_BINARY_DIR}/mock_gazebo_ros_factory"
)

=== debian/changelog ===
ros-rolling-gazebo-ros (3.5.2-4focal) focal; urgency=high

  * Remove slash from gazebo_ros scripts Python package name (#1251 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1251>)
  * Fix line length in gazebo_ros/test/CMakeLists.txt (#1249 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1249>)
  * gazebo_ros: use lxml in spawn_entity.py (#1221 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1221>)
    The python xml.etree.ElementTree library does not handle xml namespaces well,
    replacing namespaces of prefixed elements with ns0, ns1, etc. This switches
    to using lxml instead, which has the same syntax and is already used by other
    ros2 packages.  * Add a test
  * Fix tests for cyclonedds (#1228 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1228>)
    The default RMW implementation changed recently and some tests are now
    failing. This fixes the tests.  * Use KeepLast(1) with transient_local in
    tests There are some QoS incompatibilities in some tests that use
    SystemDefaultsQoS, so this changes them to use KeepLast(1) with
    transient_local instead. This fixes some of the test failures but not all.
    * test_sim_time: allow more startup messages
    * Fix QoS and initialization of joint state pub test
  * Fix executor to avoid random exceptions when shutting down (#1212 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1212>)
    * Fix executor to avoid random exceptions when shutting down
    * Add link to related issue in rclcpp
  * ros2: Only subscribe to /gazebo/performance_metrics when necessary (#1205 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1205>)
    We are currently subscribing to the /gazebo/performance_metrics topic
    even if there are no subscribers to the ROS topic forwarding this data.
    This changes gazebo_ros_init to only subscribe to the gazebo topic
    if there are any subscribers to the corresponding ROS topic.
    While advertiser callbacks are used in ROS 1 but are not yet in ROS2,
    here we use polling in the GazeboRosInitPrivate::PublishSimTime
    callback to check for subscribers since it is called for each Gazebo
    time step.
    This also helps workaround the deadlock documented in #1175 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1175> and
    osrf/gazebo#2902 <https://github.com/osrf/gazebo/issues/2902>.
    This also adds a macro to reduce duplication of the version checking
    logic.
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo, Steve Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 15 Mar 2021 00:00:00 -0000

ros-rolling-gazebo-ros (3.5.1-4focal) focal; urgency=high

  * colcon.pkg: build gazebo first in colcon workspace (#1192 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1192>)
    Add a colcon.pkg file to gazebo_dev with gazebo's cmake project
    name "Gazebo" listed as a dependency to support building
    gazebo from source in a colcon workspace.
    * Add colcon.pkg files for other packages
    Copy colcon.pkg to gazebo_ros, gazebo_plugins, and
    gazebo_ros_control so that --merge-install won't be required.
    Signed-off-by: Steve Peters <mailto:scpeters@openrobotics.org>
  * Fixed Parameterized testing on Rolling (#1184 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1184>)
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * [ROS 2] Bridge to republish PerformanceMetrics in ROS 2 (#1147 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1147>)
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * [Windows] Add missing visibility control. (#1150 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1150>)
  * [ros2] Enable the force system on launch files (#1035 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1035>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * make compile wo/ warnings on osx (#1149 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1149>)
    Signed-off-by: Karsten Knese <mailto:Karsten1987@users.noreply.github.com>
  * Added lockstep argument to gzserver (#1146 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1146>)
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero, Karsten Knese, Louise Poubel, Sean Yen, Steve Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 25 Nov 2020 00:00:00 -0000

ros-rolling-gazebo-ros (3.5.0-4focal) focal; urgency=high

  * Merge pull request #1130 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1130> from ros-simulation/foxy_tests
    Fix all Foxy tests
  * Merge pull request #1129 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1129> from ros-simulation/e_to_f_june_2020
    Eloquent ➡️ Foxy
  * Dashing -> Eloquent
  * [ROS 2] Use "" as default in spawn_entity.py instead of self.get_namespace(). (#1117 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1117>)
  * Fix flake8 failures (#1110 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1110>)
  * Add gazebo_ros::QoS class (#1091 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1091>)
    Contains logic for parsing <qos> SDF elements and creating rclcpp::QoS objects for ROS publishers and subscriptions.
    Co-authored-by: Ivan Santiago Paunovic <ivanpauno@ekumenlabs.com>
  * [eloquent] Fix Windows build. (#1077 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1077>)
  * 3.3.5
  * [forward port to Foxy] Add node required parameter to launch (#1074 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1074>)  (#1086 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1086>)
  * Use configurable timeout in other wait for service calls (#1073 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1073>)
    * Use configurable timeout in other wait for service calls
    Follow-up to #1072 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1072>


=== debian/control ===
Source: ros-rolling-gazebo-ros
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-builtin-interfaces, ros-rolling-gazebo-dev, ros-rolling-gazebo-msgs, ros-rolling-geometry-msgs, ros-rolling-launch-testing-ament-cmake, ros-rolling-rcl, ros-rolling-rclcpp, ros-rolling-rclpy, ros-rolling-rmw, ros-rolling-ros2run, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-std-srvs, ros-rolling-tinyxml-vendor, ros-rolling-ros-workspace
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-rolling-gazebo-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-lxml, ros-rolling-builtin-interfaces, ros-rolling-gazebo-dev, ros-rolling-gazebo-msgs, ros-rolling-geometry-msgs, ros-rolling-launch-ros, ros-rolling-rcl, ros-rolling-rclcpp, ros-rolling-rclpy, ros-rolling-rmw, ros-rolling-sensor-msgs, ros-rolling-std-srvs, ros-rolling-tinyxml-vendor, ros-rolling-ros-workspace
Description: Utilities to interface with Gazebo through ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-gazebo-ros//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-gazebo-ros 3.7.0

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,7 @@
   test_gazebo_ros_properties
   test_gazebo_ros_state
   test_node
+  test_reject_duplicate_nodes
   test_plugins
   test_qos
   test_sim_time
@@ -94,3 +95,4 @@
     "mock_robot_state_publisher:=${CMAKE_CURRENT_BINARY_DIR}/mock_robot_state_publisher"
     "mock_gazebo_ros_factory:=${CMAKE_CURRENT_BINARY_DIR}/mock_gazebo_ros_factory"
 )
+add_launch_test(test_disable_performance_metrics.test.py)

=== debian/changelog ===
ros-rolling-gazebo-ros (3.7.0-2jammy) jammy; urgency=high

  * Fix gzserver launch file breaking when no ros args provided (#1395 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1395>)
  * Multiple nodes with same name issue (#1394 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1394>)
  * Expose launch parameter for ``params_file`` (#1391 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1391>)
  * Contributors: Brian Chen, Deepanshu Bansal, Jacob Perron

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 13 Jun 2022 07:00:00 -0000

ros-rolling-gazebo-ros (3.6.0-2jammy) jammy; urgency=high

  * Fixes gazebo shutdown error when using nested launch files (#1376 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1376>)
  * Fix test failures (#1380 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1380>)
  * Fix spawn_entity_demo: use executable (#1349 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1349>)
  * Add runtime warning when user sets use_sim_time parameter
  * Add ROS parameter to toggle performance metrics in gazebo_ros (#1295 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1295>)
  * Deprecate -spawn_service_timeout option (#1238 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1238>)
  * Contributors: Aditya Pande, Daisuke Nishimatsu, Felix Exner, Jacob Perron

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 10 May 2022 07:00:00 -0000

ros-rolling-gazebo-ros (3.5.2-2jammy) jammy; urgency=high

  * Remove slash from gazebo_ros scripts Python package name (#1251 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1251>)
  * Fix line length in gazebo_ros/test/CMakeLists.txt (#1249 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1249>)
  * gazebo_ros: use lxml in spawn_entity.py (#1221 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1221>)
    The python xml.etree.ElementTree library does not handle xml namespaces well,
    replacing namespaces of prefixed elements with ns0, ns1, etc. This switches
    to using lxml instead, which has the same syntax and is already used by other
    ros2 packages.  * Add a test
  * Fix tests for cyclonedds (#1228 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1228>)
    The default RMW implementation changed recently and some tests are now
    failing. This fixes the tests.  * Use KeepLast(1) with transient_local in
    tests There are some QoS incompatibilities in some tests that use
    SystemDefaultsQoS, so this changes them to use KeepLast(1) with
    transient_local instead. This fixes some of the test failures but not all.
    * test_sim_time: allow more startup messages
    * Fix QoS and initialization of joint state pub test
  * Fix executor to avoid random exceptions when shutting down (#1212 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1212>)
    * Fix executor to avoid random exceptions when shutting down
    * Add link to related issue in rclcpp
  * ros2: Only subscribe to /gazebo/performance_metrics when necessary (#1205 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1205>)
    We are currently subscribing to the /gazebo/performance_metrics topic
    even if there are no subscribers to the ROS topic forwarding this data.
    This changes gazebo_ros_init to only subscribe to the gazebo topic
    if there are any subscribers to the corresponding ROS topic.
    While advertiser callbacks are used in ROS 1 but are not yet in ROS2,
    here we use polling in the GazeboRosInitPrivate::PublishSimTime
    callback to check for subscribers since it is called for each Gazebo
    time step.
    This also helps workaround the deadlock documented in #1175 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1175> and
    osrf/gazebo#2902 <https://github.com/osrf/gazebo/issues/2902>.
    This also adds a macro to reduce duplication of the version checking
    logic.
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo, Steve Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 15 Mar 2021 07:00:00 -0000

ros-rolling-gazebo-ros (3.5.1-2jammy) jammy; urgency=high

  * colcon.pkg: build gazebo first in colcon workspace (#1192 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1192>)
    Add a colcon.pkg file to gazebo_dev with gazebo's cmake project
    name "Gazebo" listed as a dependency to support building
    gazebo from source in a colcon workspace.
    * Add colcon.pkg files for other packages
    Copy colcon.pkg to gazebo_ros, gazebo_plugins, and
    gazebo_ros_control so that --merge-install won't be required.
    Signed-off-by: Steve Peters <mailto:scpeters@openrobotics.org>
  * Fixed Parameterized testing on Rolling (#1184 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1184>)
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * [ROS 2] Bridge to republish PerformanceMetrics in ROS 2 (#1147 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1147>)
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * [Windows] Add missing visibility control. (#1150 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1150>)
  * [ros2] Enable the force system on launch files (#1035 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1035>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * make compile wo/ warnings on osx (#1149 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1149>)
    Signed-off-by: Karsten Knese <mailto:Karsten1987@users.noreply.github.com>
  * Added lockstep argument to gzserver (#1146 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1146>)
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero, Karsten Knese, Louise Poubel, Sean Yen, Steve Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 25 Nov 2020 08:00:00 -0000

ros-rolling-gazebo-ros (3.5.0-2jammy) jammy; urgency=high



=== debian/control ===
Source: ros-rolling-gazebo-ros
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-builtin-interfaces, ros-rolling-gazebo-dev, ros-rolling-gazebo-msgs, ros-rolling-geometry-msgs <!nocheck>, ros-rolling-launch-testing-ament-cmake <!nocheck>, ros-rolling-rcl, ros-rolling-rclcpp, ros-rolling-rclpy, ros-rolling-rmw, ros-rolling-ros2run <!nocheck>, ros-rolling-sensor-msgs <!nocheck>, ros-rolling-std-msgs <!nocheck>, ros-rolling-std-srvs, ros-rolling-tinyxml-vendor, ros-rolling-ros-workspace
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-rolling-gazebo-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-lxml, ros-rolling-builtin-interfaces, ros-rolling-gazebo-dev, ros-rolling-gazebo-msgs, ros-rolling-geometry-msgs, ros-rolling-launch-ros, ros-rolling-rcl, ros-rolling-rclcpp, ros-rolling-rclpy, ros-rolling-rmw, ros-rolling-sensor-msgs, ros-rolling-std-srvs, ros-rolling-tinyxml-vendor, ros-rolling-ros-workspace
Description: Utilities to interface with Gazebo through ROS.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
